<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/multics_library_search_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>10/26/83  multics_library_search_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>This subroutine is the library search procedure for the Multics
<span id="L4" class="LineNr"> 4 </span>System Libraries.  Its entry points are referenced by
<span id="L5" class="LineNr"> 5 </span>multics_libraries_, the library descriptor for the Multics System
<span id="L6" class="LineNr"> 6 </span>Libraries.  These entry points can also be used to search other
<span id="L7" class="LineNr"> 7 </span>libraries that have directories structured like those of the Multics
<span id="L8" class="LineNr"> 8 </span>System Libraries.
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>For more information on the Multics Libraries, see the Multics Library
<span id="L11" class="LineNr">11 </span>Maintenance manual <span class="textRainbow_lv0_p0">(</span>AN80<span class="textRainbow_lv0_p0">)</span>.
<span id="L12" class="LineNr">12 </span>
<span id="L13" class="LineNr">13 </span>
<span id="L14" class="LineNr">14 </span>Entry points in multics_library_search_:
<span id="L15" class="LineNr">15 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L16" class="LineNr">16 </span>
<span id="L17" class="LineNr">17 </span>
<span id="L18" class="LineNr">18 </span>:Entry:  source_dirs:  10/26/83 multics_library_search_$source_dirs
<span id="L19" class="LineNr">19 </span>
<span id="L20" class="LineNr">20 </span>This entry point searches directories organized like the Multics
<span id="L21" class="LineNr">21 </span>online source directories.  These directories contain archived and
<span id="L22" class="LineNr">22 </span>unarchived source segments and exec_com control segments that are used
<span id="L23" class="LineNr">23 </span>to create object segments.  The names of all archive components must
<span id="L24" class="LineNr">24 </span>be placed as additional names on their respective archives.
<span id="L25" class="LineNr">25 </span>
<span id="L26" class="LineNr">26 </span>
<span id="L27" class="LineNr">27 </span>:Entry:  object_dirs:  10/26/83 multics_library_search_$object_dirs
<span id="L28" class="LineNr">28 </span>
<span id="L29" class="LineNr">29 </span>This entry point searches directories organized like the Multics
<span id="L30" class="LineNr">30 </span>online object directories.  These directories contain archived and
<span id="L31" class="LineNr">31 </span>unarchived object segments, backup copies of exec_com and absentee
<span id="L32" class="LineNr">32 </span>control segments intended for user usage, and backup copies of MSFs.
<span id="L33" class="LineNr">33 </span>The names of all archive components must be placed on their respective
<span id="L34" class="LineNr">34 </span>archives.
<span id="L35" class="LineNr">35 </span>
<span id="L36" class="LineNr">36 </span>
<span id="L37" class="LineNr">37 </span>:Entry:  list_info_dirs:  10/26/83 multics_library_search_$list_info_dirs
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>This entry point searches directories organized like the Multics
<span id="L40" class="LineNr">40 </span>online lists, info, and include directories.  These directories
<span id="L41" class="LineNr">41 </span>contain printable segments.
<span id="L42" class="LineNr">42 </span>
<span id="L43" class="LineNr">43 </span>
<span id="L44" class="LineNr">44 </span>:Entry:  execution_dirs:  10/26/83 multics_library_search_$execution_dirs
<span id="L45" class="LineNr">45 </span>
<span id="L46" class="LineNr">46 </span>This entry point searches directories organized like the Multics
<span id="L47" class="LineNr">47 </span>online execution directories.  These directories contain bound and
<span id="L48" class="LineNr">48 </span>unbound object segments, data bases, exec_com and absentee control
<span id="L49" class="LineNr">49 </span>segments, and MSFs used by users.  Such directories are usually
<span id="L50" class="LineNr">50 </span>included in user search rules.
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>
<span id="L53" class="LineNr">53 </span>:Entry:  hardcore_source_dir:  03/16/83 multics_library_search_$hardcore_source_dir
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>This entry point searches the Multics supervisor source directory.  It
<span id="L56" class="LineNr">56 </span>is inappropriate for use on other libraries because it uses a
<span id="L57" class="LineNr">57 </span>specialized system identification data base.
<span id="L58" class="LineNr">58 </span>
<span id="L59" class="LineNr">59 </span>
<span id="L60" class="LineNr">60 </span>:Entry:  hardcore_bc_dir:  03/16/83 multics_library_search_$hardcore_bc_dir
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>This entry point searches the Multics supervisor bound components
<span id="L63" class="LineNr">63 </span>directory.  It is inappropriate for use on other libraries because it
<span id="L64" class="LineNr">64 </span>uses a specialized system identification data base.
<span id="L65" class="LineNr">65 </span>
<span id="L66" class="LineNr">66 </span>
<span id="L67" class="LineNr">67 </span>:Entry:  hardcore_object_dir:  03/16/83 multics_library_search_$hardcore_object_dir
<span id="L68" class="LineNr">68 </span>
<span id="L69" class="LineNr">69 </span>This entry point searches the Multics supervisor object directory.  It
<span id="L70" class="LineNr">70 </span>is inappropriate for use on other libraries because it uses a
<span id="L71" class="LineNr">71 </span>specialized system identification data base.
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
